package gus05.entity.gus.app.clipboard.prop;


import java.util.Map;

import gus05.framework.core.Entity;
import gus05.framework.core.Outside;
import gus05.framework.core.Service;
import gus05.framework.features.Give;
import gus05.framework.features.Provide;



public class ClipboardProp implements Entity, Give, Provide {


    public String getName()				{return "gus.app.clipboard.prop";}
    public String getCreationDate()		{return "2008.06.13";}


    private Service clipboard;
    private Service stringToProp;
    private Service propToString;
    

    public ClipboardProp() throws Exception
    {
    	clipboard = Outside.service(this,"gus.app.clipboard2");
    	stringToProp = Outside.service(this,"gus.data.transform.stringtoprop");
    	propToString = Outside.service(this,"gus.data.transform.proptostring");
    }



    public void give(Object obj) throws Exception
    {
    	Map map = (Map)obj;
    	String s = (String) propToString.transform(map);
    	clipboard.give(s);
    }



    public Object provide() throws Exception
    {
    	String s = (String) clipboard.provide();
        return stringToProp.transform(s);
    }
}

