package gus05.entity.gus.filter.collection.map.equals;


import java.util.Iterator;
import java.util.Map;

import gus05.framework.core.Entity;
import gus05.framework.features.Filter;



public class MapEqualsFilter implements Entity, Filter {


    public String getName()				{return "gus.filter.collection.map.equals";}
    public String getCreationDate()		{return "2008.11.21";}

    


    public boolean filter(Object obj) throws Exception
    {
    	Map[] m = (Map[]) obj;
    	if(m.length<2) return true;
        
        int number = m[0].size();
        for(int i=1;i<m.length;i++)
        	if(m[i].size()!=number) return false;
        
        Iterator it = m[0].keySet().iterator();
		while(it.hasNext())
		{
			Object key = it.next();
			Object value = m[0].get(key);
			
			for(int i=1;i<m.length;i++)
			{
				if(!m[i].containsKey(key)) return false;
				Object value0 = m[i].get(key);
				if(!value.equals(value0)) return false;
			}
		}
		return true;
    }


}

