package gus05.entity.gus.persistence;


import java.util.Map;

import gus05.framework.core.Entity;
import gus05.framework.core.Outside;
import gus05.framework.features.Filter;
import gus05.framework.features.Register;
import gus05.framework.features.Retrieve;



public class Persistence implements Entity, Filter, Register, Retrieve {


    public String getName()				{return "gus.persistence";}
    public String getCreationDate()		{return "2006.12.16";}



    private Map map;

    public Persistence() throws Exception
    {
        map = (Map) Outside.resource(this,"map");
    }



    public boolean filter(Object obj) throws Exception
    {return map.containsKey(obj);}



    public void register(String key, Object obj) throws Exception
    {map.put(key,obj);}



    public Object retrieve(String key) throws Exception
    {
        if(!map.containsKey(key)) return null;
        return map.get(key);
    }


}

