
package gus05.entity.gus.app.menuinit.init1;


import javax.swing.Action;
import javax.swing.JMenu;
import javax.swing.JMenuBar;

import gus05.framework.core.Entity;
import gus05.framework.core.Outside;
import gus05.framework.core.Service;



public class InitMenu1 implements Entity {

    public String getName()				{return "gus.app.menuinit.init1";}
    public String getCreationDate()		{return "2008.06.28";}

    
    
    private JMenuBar menuBar; 
    private Service aboutAction;
    private Service openAction;
    
    
    

    public InitMenu1() throws Exception
    {
        aboutAction = Outside.service(this,"gus.app.action.about2");
        openAction = Outside.service(this,"gus.app.action.opendatadir");
        
        menuBar = (JMenuBar) Outside.resource(this,"menubar");
        
        Action aboutAction0 = (Action) aboutAction.provide();
        Action openAction0 = (Action) openAction.provide();
        
        JMenu menu = new JMenu("?");
        menu.add(openAction0);
        menu.add(aboutAction0);
        menuBar.add(menu);
    }
    
    
  
}
