package gus05.entity.gus.data.transform.stringtoprop;


import java.io.File;
import java.io.FileInputStream;
import java.io.PrintStream;
import java.util.Properties;

import gus05.framework.core.Entity;
import gus05.framework.core.Outside;
import gus05.framework.features.Transform;



public class StringToProp implements Entity, Transform {


    public String getName()				{return "gus.data.transform.stringtoprop";}
    public String getCreationDate()		{return "2008.06.13";}


    private File storeDir;

    public StringToProp() throws Exception
    {
    	storeDir = (File) Outside.resource(this,"defaultdir");
    }



    public Object transform(Object obj) throws Exception
    {
    	String s = (String) obj;
    	File f = new File(storeDir,"tmp");
    	save(f,s);
    	f.deleteOnExit();
        return prop(f);
    }
    
    
    
    private void save(File f, String s) throws Exception
    {
    	PrintStream p = new PrintStream(f);
        p.print(s);
        p.close();
    }
    
    
    private Properties prop(File f) throws Exception
    {
    	Properties prop = new Properties();
    	FileInputStream fis = new FileInputStream(f);
    	prop.load(fis);
    	fis.close();
    	return prop;
    }


}

