package gus05.entity.gus.graphic.textcomp.action.copyall;



import javax.swing.text.JTextComponent;

import gus05.framework.core.Entity;
import gus05.framework.core.Outside;
import gus05.framework.features.Execute;
import gus05.framework.features.Transform;
import gus05.framework.resources.ActionBuilder;



public class CopyAll implements Entity, Transform {


    public String getName()				{return "gus.graphic.textcomp.action.copyall";}
    public String getCreationDate()		{return "2006.10.15";}



    private ActionBuilder actionBuilder;
    
    public CopyAll() throws Exception
    {
        actionBuilder = (ActionBuilder) Outside.resource(this,"app.actionbuilder");
    }





    public Object transform(Object obj) throws Exception
    {
        ExecuteCopyAll ex = new ExecuteCopyAll((JTextComponent)obj);
        return actionBuilder.build("TEXT_copyAll",ex);
    }


    
    
    private class ExecuteCopyAll implements Execute
    {
        private JTextComponent comp;
        public ExecuteCopyAll(JTextComponent comp){this.comp = comp;}
        
        public void execute() throws Exception
        {
            comp.selectAll();
            comp.copy();
        }
    }
}

