package gus05.entity.gus.security.asymkeys.publickey.comparewithclipboard;


import java.util.Map;

import gus05.framework.core.Entity;
import gus05.framework.core.Outside;
import gus05.framework.core.Service;
import gus05.framework.features.Filter;



public class CompareWithClipboard implements Entity, Filter {


    public String getName()				{return "gus.security.asymkeys.publickey.comparewithclipboard";}
    public String getCreationDate()		{return "2008.11.21";}



    private Service clipboardProp;
    private Service filterMapEquals;
    
    public CompareWithClipboard() throws Exception
    {
    	clipboardProp = Outside.service(this,"gus.app.clipboard.prop");
    	filterMapEquals = Outside.service(this,"gus.filter.collection.map.equals");
    }



    public boolean filter(Object obj) throws Exception
    {
    	Map map = (Map) obj;
    	Map map0 = (Map) clipboardProp.provide();
    	return filterMapEquals.filter(new Map[]{map,map0});
    }
}

