package gus05.entity.gus.security.asymkeys.tool.generatefilesign;


import java.io.File;
import java.security.PrivateKey;

import javax.swing.JOptionPane;

import gus05.framework.core.Entity;
import gus05.framework.core.Outside;
import gus05.framework.core.Service;
import gus05.framework.features.Give;
import gus05.framework.features.Transform;
import gus05.framework.resources.FileProvider;



public class GenerateFileSign implements Entity, Give {


    public String getName()				{return "gus.security.asymkeys.tool.generatefilesign";}
    public String getCreationDate()		{return "2008.09.23";}



    private FileProvider fileProvider;
    private Service signer;
    private Service clipboard;
    

    public GenerateFileSign() throws Exception
    {
    	fileProvider = (FileProvider) Outside.resource(this,"gus.file.action.choose.file");
    	signer = Outside.service(this,"gus.security.asymkeys.privatekey.signer");
    	clipboard = Outside.service(this,"gus.app.clipboard2");
    }



    public void give(Object obj) throws Exception
    {
    	PrivateKey privateKey = (PrivateKey) obj;
    	File f = (File) fileProvider.getFile("open");
    	if(f==null) return;
    	
    	Transform t = (Transform) signer.transform(privateKey);
    	String sign = (String) t.transform(f);
    	
    	clipboard.give(sign);
    	JOptionPane.showMessageDialog(null,"signature: "+sign);
    }


}

