package gus05.entity.gus.security.messagedigest.tool.generatefilemd;


import java.io.File;

import javax.swing.JOptionPane;

import gus05.framework.core.Entity;
import gus05.framework.core.Outside;
import gus05.framework.core.Service;
import gus05.framework.features.Execute;
import gus05.framework.resources.FileProvider;



public class GenerateFileMD implements Entity, Execute {


    public String getName()				{return "gus.security.messagedigest.tool.generatefilemd";}
    public String getCreationDate()		{return "2008.09.23";}



    private FileProvider fileProvider;
    private Service mdBuilder;
    private Service clipboard;
    

    public GenerateFileMD() throws Exception
    {
    	fileProvider = (FileProvider) Outside.resource(this,"gus.file.action.choose.file");
    	mdBuilder = Outside.service(this,"gus.security.messagedigest.builder1");
    	clipboard = Outside.service(this,"gus.app.clipboard2");
    }


    public void execute() throws Exception
    {
    	File f = (File) fileProvider.getFile("open");
    	if(f==null) return;
    	
    	String md = (String) mdBuilder.transform(f);
    	clipboard.give(md);
    	JOptionPane.showMessageDialog(null,"message digest: "+md);
    }
	


}

