package gus05.manager.gus.endorf.layer1;

import gus05.framework.core.Entity;
import gus05.framework.core.Service;
import gus05.manager.gus.endorf.layer1.organs.*;


public class Endorf {
    
    private static KeyFinder keyFinder;
    private static ServiceWrapper serviceWrapper;
    private static ResourceProvider resourceProvider;
    private static ErrorHandler errorHandler;
    
    static void setKeyFinder(KeyFinder keyFinder_)                           {keyFinder = keyFinder_;}
    static void setServiceWrapper(ServiceWrapper serviceWrapper_)            {serviceWrapper = serviceWrapper_;}
    static void setResourceProvider(ResourceProvider resourceProvider_)      {resourceProvider = resourceProvider_;}
    static void setErrorHandler(ErrorHandler errorHandler_)                  {errorHandler = errorHandler_;}
    
    
    public static String findKey(Source source)
    {return keyFinder.findKey(source);}
    
    public static Service wrapService(Source source, String key, Object obj)
    {return serviceWrapper.wrapService(source, key, obj);}
    
    public static Object provideResource(Source source, String key) throws Exception
    {return resourceProvider.provideResource(source, key);}
    
    public static void sendError(Entity source, String id, Exception e)
    {errorHandler.sendError(source,id,e);}
}
