
package gus05.manager.gus.endorf.layer2;

import gus05.manager.gus.endorf.layer1.Source;
import gus05.manager.gus.endorf.layer1.organs.KeyFinder;
import java.util.Map;


public class Impl_KeyFinder implements KeyFinder {

    public String findKey(Source source)
    {
        Map map = EndorfSystem.mapping;
        String entry = firstEntry(map,source);
        if(map.containsKey(entry))
            entry = (String)map.get(entry);
        
        recordMapping(source,entry);
        return entry;
    }
    
    private String firstEntry(Map map, Source source)
    {
        String key1 = source.toString();
        if(map.containsKey(key1)) return (String)map.get(key1);
        String key2 = source.toString2();
        if(map.containsKey(key2)) return (String)map.get(key2);
        String key3 = source.toString3();
        if(map.containsKey(key3)) return (String)map.get(key3);
        return source.getId();
    }
    
    private void recordMapping(Source source, String entry)
    {EndorfSystem.recordMapping(source.toString(),entry);}
}
