package gus05.manager.gus.endorf.layer2.printstream;

import gus05.manager.gus.endorf.layer2.tools.Tools_printStream;
import java.io.PrintStream;


public class PrintStreamOut extends PrintStream {

    
    private PrintStream out;
    
    public PrintStreamOut(PrintStream out)
    {
        super(Tools_printStream.nullOutput);
        this.out = out;
    }
    
    
    
    
    
    
    public void print(String m)
    {out.print("!"+m);}
    
    public void println()
    {out.println("!");}
    
    public void println(String m)
    {out.println("!"+m);}
    
    public void println(boolean val)
    {out.println("!"+val);}
    
    public void println(char val)
    {out.println("!"+val);}
    
    public void println(char[] val)
    {out.println("!"+new String(val));}
    
    public void println(double val)
    {out.println("!"+val);}
    
    public void println(float val)
    {out.println("!"+val);}
    
    public void println(int val)
    {out.println("!"+val);}
    
    public void println(long val)
    {out.println("!"+val);}
    
    public void println(Object val)
    {out.println("!"+val);}
}
