package gus05.manager.gus.endorf.layer3.tools;


import java.io.File;
import java.io.FileFilter;

public class Tools_fileFilter {

    
    
    private static class ExtFileFilter implements FileFilter
    {
        private String end;
        public ExtFileFilter(String ext) {end = "."+ext;}
        public boolean accept(File f)
        {return f.getName().toLowerCase().endsWith(end);}
    }
    
    private static class DirFileFilter implements FileFilter
    {
        public boolean accept(File f)
        {return f.isDirectory();}
    }
    
    

    public static FileFilter pngFileFilter = new ExtFileFilter("png");
    public static FileFilter gifFileFilter = new ExtFileFilter("gif");
    public static FileFilter jarFileFilter = new ExtFileFilter("jar");
    public static FileFilter zipFileFilter = new ExtFileFilter("zip");
    public static FileFilter wavFileFilter = new ExtFileFilter("wav");
    public static FileFilter lingFileFilter = new ExtFileFilter("ling");
    public static FileFilter dirFileFilter = new DirFileFilter();
    
    public static FileFilter publickeyFileFilter = new ExtFileFilter("publickey");
    public static FileFilter privatekeyFileFilter = new ExtFileFilter("privatekey");
    
}
